https://api.veriko.mx/v1/insights/trendsGet the account's validation time series
How-to guide →Returns a time series representing the authenticated user's validations, according to the selected range and metric.
The interval size varies with the range:
24h: hourly.7dand30d: daily.90d: weekly, starting on Monday.
The volume metric breaks down into manual (direct) and OCR (ocr) validations.
The latency metric returns the p50, p95, and p99 percentiles.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
metric | query | string | optional | Filter — Series to return. With Default: volume |
range | query | string | optional | Filter — Time window covered by the series: Default: 7d |
curl -X GET 'https://api.veriko.mx/v1/insights/trends' \
-H 'Authorization: Bearer veriko_••••'Python example — coming soon.
JavaScript example — coming soon.
PHP example — coming soon.
| Field | Type | Description |
|---|---|---|
range | string | Time window of the series: 7d |
metric | string | Metric represented — volume |
scope | string | Data scope — self |
series | array | Data points in chronological order. The shape of each point depends on |
| Status | Class | Description | Body |
|---|---|---|---|
| 200 | 2xx | Time-series intervals for the requested range and metric. | InsightsTrendsAttributes |
| 401 | 4xx | Authentication is required or the provided credentials are invalid. | ErrorResponse |
| 403 | 4xx | Insufficient permissions. | ErrorResponse |
| Status | Code | Example |
|---|---|---|
| 401 | unauthorized | Invalid or missing authentication credentials. Envelope
|
| 403 | permission_denied | You do not have permission to access this resource. Envelope
|